Open CASCADE Technology: BOPDS_FaceInfo Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
BOPDS_FaceInfo Class Reference

The class BOPDS_FaceInfo is to store handy information about state of face. More...

`#include <BOPDS_FaceInfo.hxx>`

## Public Member Functions
| BOPDS_FaceInfo ()
| Empty contructor. More...
virtual | ~BOPDS_FaceInfo ()
| BOPDS_FaceInfo (const BOPCol_BaseAllocator &theAllocator)
| Contructor theAllocator - the allocator to manage the memory. More...
void | Clear ()
| Clears the contents. More...
void | SetIndex (const Standard_Integer theI)
| Modifier Sets the index of the face <theI> More...
Standard_Integer | Index () const
| Selector Returns the index of the face. More...
const BOPDS_IndexedMapOfPaveBlock & | PaveBlocksIn () const
| Selector Returns the pave blocks of the face that have state In. More...
BOPDS_IndexedMapOfPaveBlock & | ChangePaveBlocksIn ()
| Selector/Modifier Returns the pave blocks of the face that have state In. More...
const BOPCol_MapOfInteger & | VerticesIn () const
| Selector Returns the list of indices for vertices of the face that have state In. More...
BOPCol_MapOfInteger & | ChangeVerticesIn ()
| Selector/Modifier Returns the list of indices for vertices of the face that have state In. More...
const BOPDS_IndexedMapOfPaveBlock & | PaveBlocksOn () const
| Selector Returns the pave blocks of the face that have state On. More...
BOPDS_IndexedMapOfPaveBlock & | ChangePaveBlocksOn ()
| Selector/Modifier Returns the pave blocks of the face that have state On. More...
const BOPCol_MapOfInteger & | VerticesOn () const
| Selector Returns the list of indices for vertices of the face that have state On. More...
BOPCol_MapOfInteger & | ChangeVerticesOn ()
| Selector/Modifier Returns the list of indices for vertices of the face that have state On. More...
const BOPDS_IndexedMapOfPaveBlock & | PaveBlocksSc () const
| Selector Returns the pave blocks of the face that are pave blocks of section edges. More...
BOPDS_IndexedMapOfPaveBlock & | ChangePaveBlocksSc ()
const BOPCol_MapOfInteger & | VerticesSc () const
| Selector Returns the list of indices for section vertices of the face. More...
BOPCol_MapOfInteger & | ChangeVerticesSc ()
| Selector/Modifier Returns the list of indices for section vertices of the face. More...

## Protected Attributes
BOPCol_BaseAllocator | myAllocator
Standard_Integer | myIndex
BOPDS_IndexedMapOfPaveBlock | myPaveBlocksIn
BOPCol_MapOfInteger | myVerticesIn
BOPDS_IndexedMapOfPaveBlock | myPaveBlocksOn
BOPCol_MapOfInteger | myVerticesOn
BOPDS_IndexedMapOfPaveBlock | myPaveBlocksSc
BOPCol_MapOfInteger | myVerticesSc

## Detailed Description

The class BOPDS_FaceInfo is to store handy information about state of face.

## Constructor & Destructor Documentation

BOPDS_FaceInfo::BOPDS_FaceInfo | ( |  | ) |

Empty contructor.

virtual BOPDS_FaceInfo::~BOPDS_FaceInfo | ( |  | ) |
| virtual

BOPDS_FaceInfo::BOPDS_FaceInfo | ( | const BOPCol_BaseAllocator & | theAllocator | ) |

Contructor theAllocator - the allocator to manage the memory.

## Member Function Documentation

BOPDS_IndexedMapOfPaveBlock& BOPDS_FaceInfo::ChangePaveBlocksIn | ( |  | ) |

Selector/Modifier Returns the pave blocks of the face that have state In.

BOPDS_IndexedMapOfPaveBlock& BOPDS_FaceInfo::ChangePaveBlocksOn | ( |  | ) |

Selector/Modifier Returns the pave blocks of the face that have state On.

BOPDS_IndexedMapOfPaveBlock& BOPDS_FaceInfo::ChangePaveBlocksSc | ( |  | ) |

BOPCol_MapOfInteger& BOPDS_FaceInfo::ChangeVerticesIn | ( |  | ) |

Selector/Modifier Returns the list of indices for vertices of the face that have state In.

On

BOPCol_MapOfInteger& BOPDS_FaceInfo::ChangeVerticesOn | ( |  | ) |

Selector/Modifier Returns the list of indices for vertices of the face that have state On.

Sections

BOPCol_MapOfInteger& BOPDS_FaceInfo::ChangeVerticesSc | ( |  | ) |

Selector/Modifier Returns the list of indices for section vertices of the face.

Others

void BOPDS_FaceInfo::Clear | ( |  | ) |

Clears the contents.

Standard_Integer BOPDS_FaceInfo::Index | ( |  | ) | const

Selector Returns the index of the face.

In

const BOPDS_IndexedMapOfPaveBlock& BOPDS_FaceInfo::PaveBlocksIn | ( |  | ) | const

Selector Returns the pave blocks of the face that have state In.

const BOPDS_IndexedMapOfPaveBlock& BOPDS_FaceInfo::PaveBlocksOn | ( |  | ) | const

Selector Returns the pave blocks of the face that have state On.

const BOPDS_IndexedMapOfPaveBlock& BOPDS_FaceInfo::PaveBlocksSc | ( |  | ) | const

Selector Returns the pave blocks of the face that are pave blocks of section edges.

void BOPDS_FaceInfo::SetIndex | ( | const Standard_Integer | theI | ) |

Modifier Sets the index of the face <theI>

const BOPCol_MapOfInteger& BOPDS_FaceInfo::VerticesIn | ( |  | ) | const

Selector Returns the list of indices for vertices of the face that have state In.

const BOPCol_MapOfInteger& BOPDS_FaceInfo::VerticesOn | ( |  | ) | const

Selector Returns the list of indices for vertices of the face that have state On.

const BOPCol_MapOfInteger& BOPDS_FaceInfo::VerticesSc | ( |  | ) | const

Selector Returns the list of indices for section vertices of the face.

## Field Documentation

BOPCol_BaseAllocator BOPDS_FaceInfo::myAllocator
| protected

Standard_Integer BOPDS_FaceInfo::myIndex
| protected

BOPDS_IndexedMapOfPaveBlock BOPDS_FaceInfo::myPaveBlocksIn
| protected

BOPDS_IndexedMapOfPaveBlock BOPDS_FaceInfo::myPaveBlocksOn
| protected

BOPDS_IndexedMapOfPaveBlock BOPDS_FaceInfo::myPaveBlocksSc
| protected

BOPCol_MapOfInteger BOPDS_FaceInfo::myVerticesIn
| protected

BOPCol_MapOfInteger BOPDS_FaceInfo::myVerticesOn
| protected

BOPCol_MapOfInteger BOPDS_FaceInfo::myVerticesSc
| protected

The documentation for this class was generated from the following file:

- BOPDS_FaceInfo.hxx